[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.Create

Constructor for the class instance.

## Declaration

Source position: grids.pas line 1329

`public constructor TCustomGrid.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the class instance.

## Description

Create is the constructor for TCustomGrid. Create calls the inherited Create method, allocates the lists with columns and rows, initializes many visual properties and options, creates the various cell editors, and loads any bitmaps required for the control.

Remark: | The inherited method calls SetBounds and VisualChange, so the grid needs to be fully instantiated before the inherited method is called.

## See also

TCustomControl.Create |  | Constructor for the class instance.